## lief-patchelf 0.17.1

=== Makefile ===
VERSION=0.17.1
ARCH := $(shell arch)

PACKAGE = lief-patchelf-$(VERSION)-$(ARCH)-musl.zip

all: unpack

unpack: $(PACKAGE)
	unzip $(PACKAGE)

install:
	install -D -m 0755 bin/lief-patchelf $(DESTDIR)/usr/bin/lief-patchelf
	install -D -m 0644 share/doc/lief-patchelf/README.md $(DESTDIR)/usr/share/doc/lief-patchelf/README.md
	install -D -m 0644 share/man/man1/lief-patchelf.1 $(DESTDIR)/usr/share/man/man1/lief-patchelf.1
	install -D -m 0644 share/zsh/site-functions/_lief-patchelf $(DESTDIR)/usr/share/zsh/site-functions/_lief-patchelf

clean:
	rm -rf bin share

=== debian/changelog ===
lief-patchelf (0.17.1-1+ubu24) stable; urgency=medium

  [ Tim Theisen ]
  * Initial packaging of lief-patchelf binaries

 -- root <htcondor-admin@cs.wisc.edu>  Mon, 15 Dec 2025 19:49:35 +0000

## lief-patchelf 0.17.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.17.1
+VERSION=0.17.2
 ARCH := $(shell arch)
 
 PACKAGE = lief-patchelf-$(VERSION)-$(ARCH)-musl.zip

=== debian/changelog ===
lief-patchelf (0.17.2-1+ubu22) stable; urgency=medium

  [ Tim Theisen ]
  * Update lief-patchelf binaries

 -- root <htcondor-admin@cs.wisc.edu>  Tue, 06 Jan 2026 19:36:53 +0000

lief-patchelf (0.17.1-1) stable; urgency=medium

  * Initial packaging of lief-patchelf binaries

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 03 Dec 2025 14:17:26 -0600

=== debian/control ===
Source: lief-patchelf
Section: utils
Priority: optional
Maintainer: Tim Theisen <tim@cs.wisc.edu>
Build-Depends: debhelper-compat (= 12), unzip
Standards-Version: 4.6.0
Homepage: https://lief.re/doc/latest/tools/lief-patchelf/index.html
Rules-Requires-Root: no

Package: lief-patchelf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: patchelf based on LIEF Rust bindings
 lief-patchelf is an implementation of the original patchelf created by
 NixOS (NixOS/patchelf), based on the LIEF.  This LIEF-based version is
 written in Rust, offering a more robust, modern, and maintainable
 implementation compared to the original project.
